Create a budget

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/budgets

Create a budget. Send the fields of the new row in JSON. You must be an administrator.

application/json

Body Required

  • project_id string(uuid) Required
  • name string Required
  • revision integer
  • currency string

    Code of the currency, with 3 letters

    Minimum length is 3, maximum length is 3.

Responses

  • 201 application/json

    The new budget

    Hide response attributes Show response attributes object
    • id string(uuid)
    • project_id string(uuid)
    • name string
    • revision integer
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator

POST /data/budgets
curl \
 --request POST '/api/data/budgets' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Budget Q1",
  "revision": 1,
  "currency": "EUR"
}'
Request examples
{
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Budget Q1",
  "revision": 1,
  "currency": "EUR"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Budget Q1",
  "revision": 1,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}